package com.zd.exam.mapper;

import java.util.List;

import com.zd.exam.domain.ElExam;
import com.zd.exam.domain.ElExamCertRelation;
import org.apache.ibatis.annotations.Param;

/**
 * 考试证书关联Mapper接口
 *
 * @author zd
 * @date 2021-09-10
 */
public interface ElExamCertRelationMapper {
    /**
     * 查询考试证书关联
     *
     * @param id 考试证书关联主键
     * @return 考试证书关联
     */
    public ElExamCertRelation selectElExamCertRelationById(Long id);

    /**
     * 查询考试证书关联列表
     *
     * @param elExamCertRelation 考试证书关联
     * @return 考试证书关联集合
     */
    public List<ElExamCertRelation> selectElExamCertRelationList(ElExamCertRelation elExamCertRelation);

    /**
     * 新增考试证书关联
     *
     * @param elExamCertRelation 考试证书关联
     * @return 结果
     */
    public int insertElExamCertRelation(ElExamCertRelation elExamCertRelation);

    /**
     * 修改考试证书关联
     *
     * @param elExamCertRelation 考试证书关联
     * @return 结果
     */
    public int updateElExamCertRelation(ElExamCertRelation elExamCertRelation);

    /**
     * 删除考试证书关联
     *
     * @param id 考试证书关联主键
     * @return 结果
     */
    public int deleteElExamCertRelationById(Long id);

    /**
     * 批量删除考试证书关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElExamCertRelationByIds(Long[] ids);

    List<ElExamCertRelation> queryCertById(Long id);

    int insertBatch(@Param("entities") List<ElExamCertRelation> entities);

    int deleteByExamId(Long examId);
}
